package com.gz.core.response;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 返回结果DTO
 * @author LiuchangLan
 * @date 2020/6/27 22:00
 */
@Data
@NoArgsConstructor
public class ResponseResult {
    /**
     * 返回的代码，200表示成功，其他表示失败
     */
    private Integer code;
    /**
     * 成功或失败时返回的错误信息
     */
    private String msg;
    /**
     * 成功时返回的数据信息
     */
    private Object data;

    public ResponseResult(CustomResponsInterface customResponsInterface){
        this.code = customResponsInterface.getCode();
        this.msg = customResponsInterface.getMsg();
    }
}
